Bug 960988 - engine: we report failure and then success for creation of the same live snapshot
engine: we report failure and then success for creation of the same live snap...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
x86_64 Linux
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Daniel Erez
Raz Tamir
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 09:12 EDT by Dafna Ron
Modified: 2016-02-10 15:04 EST (History)
12 users (show)

See Also:
Fixed In Version: is24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:11:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (3.36 MB, application/x-gzip)
2013-05-08 09:12 EDT, Dafna Ron
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20668 None None None Never

  None (edit)
Description Dafna Ron 2013-05-08 09:12:16 EDT
Created attachment 745241 [details]
logs

Description of problem:

2013-May-08, 15:27 Snapshot 'Auto-generated for Live Storage Migration' creation for VM 'grrr-03' has been completed.
	
2013-May-08, 15:27 Failed to create live snapshot 'Auto-generated for Live Storage Migration' for VM 'grrr-03'. VM restart is recommended.

root@gold-vdsd ~]# lvs |grep 1a3e182b-cf6d-4206-aec1-847b348a60e1
  1a3e182b-cf6d-4206-aec1-847b348a60e1 d326916a-89b6-41c8-9c14-4b9cf8a1c979 -wi------   1.00g

Version-Release number of selected component (if applicable):

sf15

How reproducible:

100%

Steps to Reproduce:
1. run a vm on the hsm host live migrate a disk
2. stop vdsm service on hsm only
3.
  
Actual results:

we report the snapshot as failed and as completed. 

Expected results:

we should not report a failure unless it actually failed. 

Additional info: logs
Comment 1 Dafna Ron 2013-05-30 09:28:01 EDT
same issue happens when we block src domain during DeleteImageGroup is logged in the engine log. 
the mapping has changed (meaning that the LSM actually succeeded) and engine reports the task first as succeeded and than as failed: 

	
2013-May-30, 16:15
	
User admin@internal have failed to move disk NFS-RHEL6_iSCSI_Disk1 to domain tiger-01.
	
2013-May-30, 16:14
	
User admin@internal finished moving disk NFS-RHEL6_iSCSI_Disk1 to domain tiger-01.
Comment 2 Itamar Heim 2013-12-08 02:44:38 EST
still planned for 3.4?
Comment 4 Daniel Erez 2014-01-01 06:08:56 EST
The issue should already be resolved by commit I7c69f663836e74691c968f4a15c5f3012479a8b0
which addressed bug 1018876.
Comment 5 Aharon Canan 2014-01-02 03:58:34 EST
verified using is29
Comment 6 Itamar Heim 2014-01-21 17:11:51 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.